[ 
https://issues.apache.org/jira/browse/AMBARI-22906?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Andrew Onischuk updated AMBARI-22906:
-------------------------------------
    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

Committed to trunk and branch-2.6

> Not able to register new HDP version after upgrading to Ambari2.6.1
> -------------------------------------------------------------------
>
>                 Key: AMBARI-22906
>                 URL: https://issues.apache.org/jira/browse/AMBARI-22906
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.6.1
>            Reporter: amarnath reddy pappu
>            Assignee: Andrew Onischuk
>            Priority: Blocker
>              Labels: pull-request-available
>             Fix For: trunk, 2.6.2
>
>         Attachments: AMBARI-22906.patch, AMBARI-22906.patch, 
> AMBARI-22906.patch, AMBARI-22906.patch, AMBARI-22906.patch
>
>          Time Spent: 1.5h
>  Remaining Estimate: 0h
>
> Steps to reproduce the issue
> 1. Install Ambari2.5.x and install HDP on that.
> 2. Now Upgrade ambari to 2.6.1 version.
> 3. Now try to register HDP version with VDF file - Save button is not enabled 
> (also UI does not load repo URLs and)
> 4. In JS it fails with below error
> Cannot read property 'gpl.license.accepted' of undefined
> What is expected: UI should properly show the message that gpl license needs 
> to be enabled. also Upgrade should take care of adding this property if it is 
> needed.
> Workaround for this is : add "gpl.license.accepted=true" to ambari.proeprties 
> and then restart should fix the problem



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to